OGRE: Ogre::ComputeTools Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ComputeTools Class Reference

`#include <OgreComputeTools.h>`

## Public Member Functions
| ComputeTools (HlmsCompute *hlmsCompute)
void | clearUav (TextureGpu *texture, uint32 clearValue[4])
| Clears the whole texture to the given bit pattern. More...
void | clearUavFloat (TextureGpu *texture, float clearValue[4])
| Same as ComputeTools::clearUav but specifically for floats, and asserts if the texture is of integer format (i.e. More...
void | clearUavUint (TextureGpu *texture, uint32 clearValue[4])
| Same as ComputeTools::clearUav but specifically for floats, and asserts if the texture is not of integer (signed or unsigned) format (i.e. More...

## Constructor & Destructor Documentation

## ◆ ComputeTools()

Ogre::ComputeTools::ComputeTools | ( | HlmsCompute * | hlmsCompute | ) |

## Member Function Documentation

## ◆ clearUav()

void Ogre::ComputeTools::clearUav | ( | TextureGpu * | texture,
|  | uint32 | clearValue[4]
| ) |  |

Clears the whole texture to the given bit pattern.

Remarks
  We do NOT place memory barriers, thus it's your responsability to do it!!!

Parameters

  texture | Texture to clear. Must be UAV.
  clearValue | Bit pattern to clear to

## ◆ clearUavFloat()

void Ogre::ComputeTools::clearUavFloat | ( | TextureGpu * | texture,
|  | float | clearValue[4]
| ) |  |

Same as ComputeTools::clearUav but specifically for floats, and asserts if the texture is of integer format (i.e.

it's not float, half, unorm, snorm)

See also
  ComputeTools::clearUav

Parameters

  texture | Texture to clear. Must be UAV.
  clearValue | Value to clear to

## ◆ clearUavUint()

void Ogre::ComputeTools::clearUavUint | ( | TextureGpu * | texture,
|  | uint32 | clearValue[4]
| ) |  |

Same as ComputeTools::clearUav but specifically for floats, and asserts if the texture is not of integer (signed or unsigned) format (i.e.

it's float, half, unorm, snorm)

See also
  ComputeTools::clearUav

Parameters

  texture | Texture to clear. Must be UAV.
  clearValue | Value to clear to

The documentation for this class was generated from the following file:

- OgreComputeTools.h